function [M,b,coeffcor,coeffre,coeffrelsq,Minit,binit]=saisienote(note,cho)

% saisie d'un fichier de notes
%
% *********************************************************
%  [M,b,coeffre,coeffrelsq,Minit,binit]=saisienote(note,cho) : 
%
%  * Variable d'entre
%     * note : le nom du fichier texte des notes, sans extension txt
%       Ce fichier doit contenir
%           sur la premire ligne, les coefficients de correction (beta_j)
%           sur la deuxime ligne, les coefficients rels (alpha_j)
%           puis, ligne par ligne, 
%               d'abord la note N_i de l'tudiants i
%               puis ses notes partielles m_{ij},  l'exo j
%       De sorte que 
%          pour tout i, N_i=sum_{j} (m_{ij}/beta_j)alpha_j
%  * Variable d'entre optionnelle
%     * cho (par dfaut gal  0) 
%       si =1, traitement si possible sous forme d'entier avec 
%              calcul de ppcm
%  * Variables de sortie :
%     * M : la matrice rectangulaire des notes partielles
%     * b : la matrice colonne des notes finales
%  * Variables de sortie optionnelle
%     * coeffcor : les coefficients de correction (beta_j)
%     * coeffre : les coefficients rels (alpha_j), que doivent
%                 retrouver les tudiants !!!
%     * coeffrelsq: les coefficients de correction (alpha_j), dtermins
%       par moindre carrs linaires, qui doivent tre proches des coeffre
%     * Minit : la matrice rectangulaire des notes partielles, avant
%               traitement
%     * binit : la matrice colonne des notes finales, avant
%               traitement
%
% Attention : 
%              a) le fichier texte est avec sparateur=espace
%              par exemple, converti de ods en csv puis changement extension en txt 
%              et remplacement des "," par des "."
%              b) on doit avoir 
%                   Minit*((coeffre./coeffcor)).'-binit=0
%                   M*coeffre.'-b=0
%   EXEMPLE :
%       [M,b,coeffcor,coeffre,coeffrelsq]=saisienote('exammiAMFIA14')
%       [M,b,coeffcor,coeffre,coeffrelsq]=saisienote('exammiAMFIA14',1)
%       [M,b,coeffcor,coeffre,coeffrelsq]=saisienote('exammiBMFIA14')
%       [M,b,coeffcor,coeffre,coeffrelsq]=saisienote('exammiBMFIA14',1)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    multilcm
%
% *********************************************************
%
% 2013 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

nout=nargout;
if nargin<=1|isempty(cho)
    cho=0;
end
A=dlmread([note,'.txt']);
coefcor=A(1,1:end-1);
if nout>=3
    coeffcor=A(1,1:end-1);
end
if nout>=4
    coeffre=A(2,1:end-1);
end
M=A(3:end,2:end);
b=A(3:end,1);
if nout>=6
    Minit=M;
    binit=b;
end
[n,p]=size(M);
dud=0;
if cho==1
    if max(abs(coefcor-floor(coefcor)))==0
        deltaa=multilcm(coefcor);
        Q0=deltaa./coefcor;
        Q=Q0(ones(n,1),:);
        M=M.*Q;
        b=b*deltaa;
        dud=1;
    else
        dud=0;
    end
end
if dud==0
    Q=1./coefcor;
    Q=Q(ones(n,1),:);
    M=M.*Q;
end
if nout>=5
      coeffrelsq=(M\b).';
end